# pht\Thread::addFileTask

(PECL pht >= 0.0.1)

pht\Thread::addFileTask — File threading

### Description

public pht\Thread::addFileTask ( string `$fileName` [, mixed `$...globals` ] ) : void

Adds a new file task to a pht\Threads internal task queue.

### Parameters

`func`

  The name of the file to be threaded.

`...globals`

  An optional list of arguments for the file. These arguments will be placed into a $_THREAD superglobal, which will be made available inside of the threaded file. All arguments will be serialised (since they are being passed to another thread).

### Return Values

No return value.

### Examples

Example #1 Adding a new file task to a thread

`<?php
use pht\Thread;
$thread = new Thread();
$thread->addFileTask('file.php', 1, 2, 3);
$thread->start();
$thread->join();`

file.php:

`<?php
[$one, $two, $three] = $_THREAD;
var_dump($one, $two, $three);`

The above example will output:

    int(1)
    int(2)
    int(3)